--在线奖励
Lua_OnLineRewardWindow = class("Lua_OnLineRewardWindow", Lua_Window);
function Lua_OnLineRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_OnLineRewardWindow";
	self.skinName = "OnLineRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_OnLineRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.showList = Lua_DragList.new(self.content, 520, 300, Lua_AxisDefine.Vertical);
	self.showList:setLocation(0, 45, 0);
	self.showList:setListCell(Lua_OnLineRewardItem, 130, 127, 4);

	self:addLuaEvent("UPDATA_ONLINE_REWARD", self, self.updateShowInfo);
	Lua_ProxyManager.getProxy("Lua_OnlineRewardProxy"):sOnlineInfo();
end

function Lua_OnLineRewardWindow:dispose()
	self:endTimer();
	if self.showList ~= nil then
		self.showList:dispose();
		self.showList = nil;
	end
	self:superCall("dispose");
end

function Lua_OnLineRewardWindow:updateShowInfo()
	local arr = DataCenter.onlineRewardUtil.onlineRewardArr;
	local curIdx = DataCenter.onlineRewardData.curIdx;
	local vo = DataCenter.onlineRewardData.timeVo;

	self.showList:setArrayData(arr);
	self.showList:moveToIndex(curIdx);
	if vo == nil then
		self:endTimer();
	else
		self.remainTime = vo.remainTime;
		self:startTimer();
		self:onTimer();
	end
end

function Lua_OnLineRewardWindow:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true;
		Lua_CommonUtil.addTimer("Lua_OnLineRewardWindow", 1, self, self.onTimer);
	end
end

function Lua_OnLineRewardWindow:endTimer()
	if self.bTimer == true then
		self.bTimer = false;
		Lua_CommonUtil.removeTimer(self, self.onTimer);
	end
end

function Lua_OnLineRewardWindow:onTimer()
	self.remainTime = self.remainTime - 1;
	if self.remainTime <= 0 then
		self:endTimer();
		self.timecount.text = "";
	else
		self.timecount.text = Lua_TimeTransform.transSeconds6(self.remainTime, true, true, true);
	end
end




















Lua_OnLineRewardItem = class("Lua_OnLineRewardItem", Lua_ListCell)
function Lua_OnLineRewardItem:ctor(p)
	self:superCall("ctor", p, "OnLineRewardItem_skin");
end

function Lua_OnLineRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardItem = Lua_ItemIcon.new(self.content);
	self.rewardItem:setSiblingIndex(0);

	self.canGetLbl:setLangValue(130103);
end

function Lua_OnLineRewardItem:dispose()
	if self.rewardItem ~= nil then
		self.rewardItem:dispose();
		self.rewardItem = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_OnLineRewardItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.rewardItem:setData(data.rewardVo);
	self.gottenTicket:setEnable(data.isReceive);
	self.mask:setEnable(data.isReceive);
	self.canGetLbl:setEnable(not data.isReceive and data.remainTime == 0);
	self.canGetBg:setEnable(not data.isReceive and data.remainTime == 0);
end

function Lua_OnLineRewardItem:onPressClick()
	if self.data.isReceive or self.data.remainTime > 0 then
		DataCenter.packUtil:showItemInfo(self.data.rewardVo);
	else
		if self.data.prev_id == 0 or DataCenter.onlineRewardData:getReceiveStateById(self.data.prev_id) then
			Lua_ProxyManager.getProxy("Lua_OnlineRewardProxy"):sReceive(self.data.id);
		else
			OperateAlert.showLangValue(130102);
		end	
	end
end